Package skyview.survey

# Class MocReader

java.lang.Object
skyview.survey.MocReader

public class MocReader extends Object
Read a MOC and support tests to see if pixels/tiles are available.

## Constructor Summary

Constructors
Constructor
Description
`MocReader(String file)`
Create a MocReader for a given file

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
`final List<skyview.survey.MocReader.OrderDesc>`
`parse()`
Analyze the MOC to find out where the data for each order is found.
`void`
`show()`
Describe basic characteristics of the MOC
`boolean`
`test(int order, long pixel)`
See if there is any overlap between the requested pixel and the data as indicated in the MOC.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MocReader

public MocReader(String file) throws Exception
Create a MocReader for a given file

Throws:
  `Exception`

## Method Details

### main

public static void main(String[] args) throws Exception

Throws:
  `Exception`

### show

public void show()
Describe basic characteristics of the MOC

### parse

public final List<skyview.survey.MocReader.OrderDesc> parse()
Analyze the MOC to find out where the data for each order is found. This populates the data List.

### test

public boolean test(int order, long pixel)
See if there is any overlap between the requested pixel and the data as indicated in the MOC.

Parameters:
  `order` - The order of the requested pixel.
  `pixel` - The NESTED index of the requested pixel.
Returns:
  whether there is any coverage in the region of the requested pixel.